<HTML>
<HEAD><TITLE>Project Summary</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Mrp"></A>
      Lattice Mapping Report File for Design Module 'cpld_portatile_top'



<A name="mrp_di"></A><B><U><big>Design Information</big></U></B>

Command line:   map -a MachXO -p LCMXO256C -t TQFP100 -s 5 -oc Commercial
     CPLD_PORTATILE_impl1.ngd -o CPLD_PORTATILE_impl1_map.ncd -pr
     CPLD_PORTATILE_impl1.prf -mp CPLD_PORTATILE_impl1.mrp -lpf E:/Dropbox/Dropb
     ox/Personale/progetti/Acube/cpld/impl1/CPLD_PORTATILE_impl1_synplify.lpf
     -lpf E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/CPLD_PORTATILE.lpf -c
     0 -gui -msgset E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/promote.xml
     
Target Vendor:  LATTICE
Target Device:  LCMXO256CTQFP100
Target Performance:   5
Mapper:  mj5g00,  version:  Diamond (64-bit) 3.13.0.56.2
Mapped on:  10/15/24  20:41:36


<A name="mrp_ds"></A><B><U><big>Design Summary</big></U></B>
   Number of PFU registers:    30 out of   256 (12%)
   Number of SLICEs:        27 out of   128 (21%)
      SLICEs as Logic/ROM:     27 out of   128 (21%)
      SLICEs as RAM:            0 out of    64 (0%)
      SLICEs as Carry:         14 out of   128 (11%)
   Number of LUT4s:         54 out of   256 (21%)
      Number used as logic LUTs:         26
      Number used as distributed RAM:     0
      Number used as ripple logic:       28
      Number used as shift registers:     0
   Number of external PIOs: 25 out of 78 (32%)
   Number of GSRs:  1 out of 1 (100%)
   JTAG used :      No
   Readback used :  No
   Oscillator used :  Yes
   Startup used :   No
   Number of TSALL: 0 out of 1 (0%)
   Notes:-
      1. Total number of LUT4s = (Number of logic LUT4s) + 2*(Number of
     distributed RAMs) + 2*(Number of ripple logic)
      2. Number of logic LUT4s does not include count of distributed RAM and
     ripple logic.
   Number of clocks:  2
     Net osc_outz: 15 loads, 15 rising, 0 falling (Driver: osc_clk_cnt[4] )
     Net osc_int_2: 3 loads, 3 rising, 0 falling (Driver: OSCInst0 )
   Number of Clock Enables:  0
   Number of local set/reset loads for net pwr_rst_n_c merged into GSR:  30
   Number of LSRs:  0
   Number of nets driven by tri-state buffers:  0
   Top 10 highest fanout non-clock nets:
     Net m2_rstn_c: 8 loads
     Net un1_ihreset_n_1_sqmuxa: 7 loads
     Net reset_states[0]: 5 loads
     Net reset_states[1]: 5 loads
     Net ihreset_n_0_sqmuxa: 4 loads
     Net reset_state_m.un1_rst_cnt: 4 loads
     Net rst_cnt[13]: 3 loads
     Net rst_cnt[14]: 3 loads
     Net rst_cnt[1]: 3 loads

     Net rst_cnt[2]: 3 loads




   Number of warnings:  55
   Number of errors:    0
     




<A name="mrp_dwe"></A><B><U><big>Design Errors/Warnings</big></U></B>

WARNING - map:
     E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/CPLD_PORTATILE.lpf(13):
     Semantic error in "LOCATE COMP "gpio1_13" SITE "17" ;": COMP "gpio1_13"
     cannot be found in design. This preference has been disabled.
WARNING - map:
     E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/CPLD_PORTATILE.lpf(14):
     Semantic error in "LOCATE COMP "gpio1_14" SITE "18" ;": COMP "gpio1_14"
     cannot be found in design. This preference has been disabled.
WARNING - map:
     E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/CPLD_PORTATILE.lpf(20):
     Semantic error in "LOCATE COMP "gpio4_27" SITE "27" ;": COMP "gpio4_27"
     cannot be found in design. This preference has been disabled.
WARNING - map:
     E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/CPLD_PORTATILE.lpf(21):
     Semantic error in "LOCATE COMP "gpio4_28" SITE "32" ;": COMP "gpio4_28"
     cannot be found in design. This preference has been disabled.
WARNING - map:
     E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/CPLD_PORTATILE.lpf(22):
     Semantic error in "LOCATE COMP "gpio3_31" SITE "34" ;": COMP "gpio3_31"
     cannot be found in design. This preference has been disabled.
WARNING - map:
     E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/CPLD_PORTATILE.lpf(97):
     Semantic error in "IOBUF PORT "clk_50mhz" IO_TYPE=LVTTL33 ;": Port
     "clk_50mhz" does not exist in the design. This preference has been
     disabled.
WARNING - map: Using local reset signal 'pwr_rst_n_c' to infer global GSR net.
WARNING - map: IO buffer missing for top level port rst_n...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio1_9...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio1_10...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio1_11...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio1_12...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio2_1...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio2_2...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio2_3...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio2_10...logic will be
     discarded.

WARNING - map: IO buffer missing for top level port gpio2_13...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio2_14...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_24...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_25...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_26...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_27...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio4_29...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port irq02...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port irq08...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port proc_spi_clk...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port proc_spi_miso...logic will
     be discarded.
WARNING - map: IO buffer missing for top level port proc_spi_mosi...logic will
     be discarded.
WARNING - map: IO buffer missing for top level port uart1_ctsb...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port cpld_rstn...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_28...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_29...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_30...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio4_30...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio4_31...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port mxm_waken...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port reset_req_n...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port irq00...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port vcore_en...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port wlan_wakeup...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port prsnt_rn...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port clk_50mhz...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_0...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_1...logic will be
     discarded.

WARNING - map: IO buffer missing for top level port gpio3_2...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_3...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_4...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_5...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_6...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio3_7...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio4_5...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port gpio4_6...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port ifc_clk...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port ifc_cs2_n...logic will be
     discarded.
WARNING - map: IO buffer missing for top level port irq01...logic will be
     discarded.



<A name="mrp_ioa"></A><B><U><big>IO (PIO) Attributes</big></U></B>

+---------------------+-----------+-----------+------------+------------+
| IO Name             | Direction | Levelmode | IO         | FIXEDDELAY |
|                     |           |  IO_TYPE  | Register   |            |
+---------------------+-----------+-----------+------------+------------+
| hreset_n            | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| pwr_rst_n           | INPUT     | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| osc_out             | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| ifc_rb1_n           | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| ifc_rb0_n           | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| ifc_cs1_n           | INPUT     | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| ifc_cs0_n           | INPUT     | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| cfg_vbank2          | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| cfg_vbank1          | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| cfg_vbank0          | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| expander_rstn       | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| usb3_pewakeb        | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| sata_rstn           | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+

| sata3_wake_n        | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| pe_waken            | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| pdetect             | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| pcie_bridge_rstn    | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| nor_rst_n           | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| nor_cs_n            | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| nand_rb_n           | INPUT     | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| nand_cs_n           | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| mxm_rstn            | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| m2_rstn             | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| ddr_rst_n           | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+
| poreset_n           | OUTPUT    | LVTTL33   |            |            |
+---------------------+-----------+-----------+------------+------------+



<A name="mrp_rm"></A><B><U><big>Removed logic</big></U></B>

Signal pwr_rst_n_c_i was merged into signal pwr_rst_n_c
Signal GND undriven or does not drive anything - clipped.
Signal osc_clk_cnt_cry[2] undriven or does not drive anything - clipped.
Signal osc_clk_cnt_s_0_S1[4] undriven or does not drive anything - clipped.
Signal osc_clk_cnt_s_0_COUT1[4] undriven or does not drive anything - clipped.
Signal osc_clk_cnt_s_0_COUT0[4] undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_0_0_S0 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_0 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_2 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_4 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_6 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_8 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_10 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_12 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_14 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_16 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_cry_18 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_s_20_0_S1 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_s_20_0_COUT1 undriven or does not drive anything - clipped.
Signal un3_rst_cnt_s_20_0_COUT0 undriven or does not drive anything - clipped.
Signal osc_clk_cnt_cry[0] undriven or does not drive anything - clipped.
Block pwr_rst_n_c_i was optimized away.
Block GND was optimized away.

OSC Summary
-----------

OSC 1:                                     Pin/Node Value

  OSC Instance Name:                                OSCInst0
  OSC Type:                                         OSCC
  OSC Output:                              NODE     osc_int_2



<A name="mrp_asic"></A><B><U><big>ASIC Components</big></U></B>
---------------

Instance Name: OSCInst0
         Type: OSCC



<A name="mrp_gsr"></A><B><U><big>GSR Usage</big></U></B>
---------

GSR Component:
   The local reset signal 'pwr_rst_n_c' of the design has been inferred as
        Global Set Reset (GSR). The reset signal used for GSR control is
        'pwr_rst_n_c'.
        

     GSR Property:
   The design components with GSR property set to ENABLED will respond to global
        set reset while the components with GSR property set to DISABLED will
        not.
        



<A name="mrp_runtime"></A><B><U><big>Run Time and Memory Usage</big></U></B>
-------------------------

   Total CPU Time: 0 secs  
   Total REAL Time: 0 secs  
   Peak Memory Usage: 31 MB
        



























Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
     Copyright (c) 1995 AT&T Corp.   All rights reserved.
     Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
     Copyright (c) 2001 Agere Systems   All rights reserved.
     Copyright (c) 2002-2023 Lattice Semiconductor Corporation,  All rights
     reserved.



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
